package com.eactive.eai.common.worker;

import com.eactive.eai.common.util.Logger;

public abstract class ActionSupport implements Action {
	protected boolean ready;
	protected String id;
	protected static Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);

	public String getId() {
		return this.id;
	}

	public boolean isReady() {
		return this.ready;
	}

	public void doInit(String id) throws ActionException {
		this.id = id;
		logger.info("execute doInit... ");
	}

	public void doEnd() throws ActionException {
		logger.info("execute doEnd... ");
	}

}
